Subject: bug#24483: 25.1; sql-mode error due to nil prompt-cont-regexp

From: Nikolay Kudryavtsev <[email-masked]>
Date: Tue, 30 May 2017 00:50:22 +0300

Oh, sorry for the cp866 suggestion, my bad, cp850 is probably right for you.

If you're using osql, can you try switching to sqlcmd? Osql had been 
considered deprected by Microsoft for many years. Sqlcmd is freely 
downloadable and should be usable with any more or less modern version 
of SQL Server. The configuration for it that I use looks like this:

(setq sql-ms-program "sqlcmd"
           sql-ms-options (quote ("-W" "-s" "|" "-I")))

-- 
Best Regards,
Nikolay Kudryavtsev